> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Recurring Options

> Plan options for the product attach selector. Sales-scoped (the product
form is reachable by catalog/sales operators, not only system admins) and
returns only active plans with the minimal fields the selector renders.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/recurrings/options
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/recurrings/options:
    get:
      tags:
        - admin:recurrings
      summary: List Recurring Options
      description: >-
        Plan options for the product attach selector. Sales-scoped (the product

        form is reachable by catalog/sales operators, not only system admins)
        and

        returns only active plans with the minimal fields the selector renders.
      operationId: list_recurring_options_api_v1_admin_recurrings_options_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_RecurringOptionOut__'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_list_RecurringOptionOut__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/RecurringOptionOut'
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[RecurringOptionOut]]
    RecurringOptionOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Name I18N
        price:
          type: number
          title: Price
        frequency:
          type: string
          title: Frequency
        is_active:
          type: boolean
          title: Is Active
      type: object
      required:
        - id
        - name_i18n
        - price
        - frequency
        - is_active
      title: RecurringOptionOut
      description: Lightweight plan summary for the admin product selector (sales-scoped).
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````